//+------------------------------------------------------------------+
//|                                                     HA_Panel.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//|                                            server.uang@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern bool Sebelah_Kanan = True;
extern int Sumbu_X = 56;
extern int Sumbu_Y = 106; 
extern color WarnaTeks = DodgerBlue;
extern color Warna_HA_Up = Green;
extern color Warna_HA_Dn = Crimson;

string Label_Teks="";
double HA = EMPTY_VALUE;
double sUp = EMPTY_VALUE;
double sDn = EMPTY_VALUE;
color WarnaHA;
string SinyalHA="", HA_Up="p", HA_Dn="q";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0,OBJ_HLINE);
   ObjectsDeleteAll(0,OBJ_TEXT);
   ObjectsDeleteAll(0,OBJ_LABEL);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   //double HA = EMPTY_VALUE;
   //double sUp = EMPTY_VALUE;
   //double sDn = EMPTY_VALUE;
   HA = iCustom(NULL,60,"Heiken Ashi-Overlay",0,0) ;
   if (HA == 1) {SinyalHA=HA_Dn; WarnaHA=Warna_HA_Dn;}
      else {SinyalHA=HA_Up; WarnaHA=Warna_HA_Up;}
   Tulis("HA_H1", Sebelah_Kanan, Sumbu_X, Sumbu_Y, "H1 = ", 8, "ARIAL", WarnaTeks);
   Tulis("sHAh1", Sebelah_Kanan, Sumbu_X-15, Sumbu_Y+2, SinyalHA, 8, "Wingdings 3", WarnaHA);
   
   HA = iCustom(NULL,30,"Heiken Ashi-Overlay",0,0) ;
   if (HA == 1) {SinyalHA=HA_Dn; WarnaHA=Warna_HA_Dn;}
      else {SinyalHA=HA_Up; WarnaHA=Warna_HA_Up;}
   Tulis("HA_M30", Sebelah_Kanan, Sumbu_X, Sumbu_Y+15, "M30 = ", 8, "ARIAL", WarnaTeks);
   Tulis("sHAm30", Sebelah_Kanan, Sumbu_X-15, Sumbu_Y+17, SinyalHA, 8, "Wingdings 3", WarnaHA);
   
   HA = iCustom(NULL,15,"Heiken Ashi-Overlay",0,0) ;
   if (HA == 1) {SinyalHA=HA_Dn; WarnaHA=Warna_HA_Dn;}
      else {SinyalHA=HA_Up; WarnaHA=Warna_HA_Up;}
   Tulis("HA_M15", Sebelah_Kanan, Sumbu_X, Sumbu_Y+35, "M15 = ", 8, "ARIAL", WarnaTeks);
   Tulis("sHAm15", Sebelah_Kanan, Sumbu_X-15, Sumbu_Y+37, SinyalHA, 8, "Wingdings 3", WarnaHA);
   
   HA = iCustom(NULL,5,"Heiken Ashi-Overlay",0,0) ;
   if (HA == 1) {SinyalHA=HA_Dn; WarnaHA=Warna_HA_Dn;}
      else {SinyalHA=HA_Up; WarnaHA=Warna_HA_Up;}
   Tulis("HA_M5", Sebelah_Kanan, Sumbu_X, Sumbu_Y+55, "M5 = ", 8, "ARIAL", WarnaTeks);
   Tulis("sHAm5", Sebelah_Kanan, Sumbu_X-15, Sumbu_Y+57, SinyalHA, 8, "Wingdings 3", WarnaHA);
   
   HA = iCustom(NULL,1,"Heiken Ashi-Overlay",0,0) ;
   if (HA == 1) {SinyalHA=HA_Dn; WarnaHA=Warna_HA_Dn;}
      else {SinyalHA=HA_Up; WarnaHA=Warna_HA_Up;}
   Tulis("HA_M1", Sebelah_Kanan, Sumbu_X, Sumbu_Y+70, "M1 = ", 8, "ARIAL", WarnaTeks);
   Tulis("sHAm1", Sebelah_Kanan, Sumbu_X-15, Sumbu_Y+72, SinyalHA, 8, "Wingdings 3", WarnaHA);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
// Prosedur Tulis
void Tulis(string LBL, double sebelah, int pos_x, int pos_y, string teks, int ukuran_huruf, string nama_huruf, color warna=CLR_NONE)
     {
       Label_Teks=LBL;
       ObjectCreate(LBL, OBJ_LABEL, 0, 0, 0);
       ObjectSetText(LBL,teks, ukuran_huruf, nama_huruf, warna);
       ObjectSet(LBL, OBJPROP_CORNER, sebelah);
       ObjectSet(LBL, OBJPROP_XDISTANCE, pos_x);
       ObjectSet(LBL, OBJPROP_YDISTANCE, pos_y);
     }